---
#############
## Grafana ##
#############
grafana_public_url: "http://dashboard.nlx.io"

##############
## InfluxDB ##
##############
influxdb_databases:
  - "jmeter"
  - "nlx"

#############
## Traefik ##
#############
traefik_acme_enabled: true
traefik_acme_email_address: "letsencrypt@nlx.io"
traefik_rules:
  - name: "dashboard"
    content: |
      [frontends]
        [frontends.dashboard]
          passHostHeader = true
          backend = "grafana"
          [frontends.dashboard.routes.route0]
            rule = "Host:{{ grafana_public_url | urlsplit('hostname') }}"
          [frontends.dashboard.headers]
            stsSeconds = 31536000
            stsIncludeSubdomains = true
            browserXssFilter = true
            contentTypeNosniff = true
            frameDeny = true
            referrerPolicy = "no-referrer"
            contentSecurityPolicy = "default-src 'self'; style-src 'self' 'unsafe-inline'; script-src 'self' 'unsafe-inline' 'unsafe-eval'; img-src 'self' data:"
      [backends]
        [backends.grafana]
          [backends.grafana.healthCheck]
            path = "/api/health"
          [backends.grafana.servers]
            [backends.grafana.servers.localhost]
              url = "http://127.0.0.1:3000"
